# Auto-generated file -- DO NOT EDIT!!!!!

# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

=head1 NAME

Lucy::Index::PostingListReader - Read postings data.

=head1 SYNOPSIS

    my $posting_list_reader 
        = $seg_reader->obtain("Lucy::Index::PostingListReader");
    my $posting_list = $posting_list_reader->posting_list(
        field => 'title', 
        term  => 'foo',
    );



=head1 DESCRIPTION

PostingListReaders produce L<PostingList|Lucy::Index::PostingList>
objects which convey document matching information.



=head1 ABSTRACT METHODS

=head2 posting_list( I<[labeled params]> )

Returns a PostingList, or undef if either C<< field >> is undef or
C<< field >> is not present in any documents.

=over

=item *

B<field> - A field name.

=item *

B<term> - If supplied, the PostingList will be pre-located to this
term using seek().

=back





=head1 INHERITANCE

Lucy::Index::PostingListReader isa L<Lucy::Index::DataReader> isa L<Lucy::Object::Obj>.


=cut

